include	clib.inc
include	string.inc

PPROC	strext, string:dword
	invoke	strfn, string
	push	ax
	invoke	strrchr, dx::ax, '.'
	pop	cx
	jz	@F
	cmp	ax,cx
	jnz	@F
	xor	ax,ax
    @@:
	ret
PEND	strext

	END
